<?php

namespace app\admin\controller\AboutUs;

use app\BaseController;
use app\common\model\AboutUs\AboutUs as ModelAboutUs;
use app\Request;
use think\Validate;
use think\exception\ValidateException;
use think\facade\Filesystem;
use app\common\exception\Tool;


class AboutUs extends BaseController
{
    /**
     * 获取关于我们内容
     */
    public function getAboutUs(Request $request): array
    {
        $params = $request->param();

        $con = Tool::getOptionalQuery(['i18n_lang_type_guid', '=']);

        $query = ModelAboutUs::where($con)
            ->field([
                'i18n_lang_type_guid',
                'about_us_id',
                'about_us_guid',
                'about_us_profile',
                'about_us_profile_history',
                'about_us_honor',
                'about_us_honor_more',
                'about_us_factory',
                'about_us_exhibition',
            ])->find();

        return [
            'code' => 0,
            'data' => $query,
            'msg' => 'ok'
        ];
    }

    /**
     * 编辑关于我们
     */
    public function editAboutUs(Request $request): array
    {
        $params = $request->param();
        $this->validate($params, [
            'i18n_lang_type_guid|语言类型' => 'require',
            'about_us_profile|公司简介头图' => 'require',
            'about_us_profile_history|公司简介历史' => 'require',
            'about_us_honor|荣誉资质' => 'require',
            'about_us_honor_more|荣誉资质-更多' => 'require',
            'about_us_factory|工厂照片' => 'require',
            'about_us_exhibition|展会信息' => 'require',
        ]);
        $con = Tool::getOptionalQuery(['i18n_lang_type_guid', '=']);
        $model = ModelAboutUs::where($con)->find();

        // 如果没有数据则新增
        if (!$model) {
            ModelAboutUs::create($params, [
                'i18n_lang_type_guid',
                'about_us_profile',
                'about_us_profile_history',
                'about_us_honor',
                'about_us_honor_more',
                'about_us_factory',
                'about_us_exhibition',
                'about_us_update_user_guid'
            ]);
            return msg('编辑成功!');
        }

        // 更新数据
        $model->allowField([
            'about_us_profile',
            'about_us_profile_history',
            'about_us_honor',
            'about_us_honor_more',
            'about_us_factory',
            'about_us_exhibition',
            'about_us_update_user_guid'
        ])->save($params);
        return msg('编辑成功!');
    }
}
