<?php

namespace app\admin\controller\ContactUs;

use app\BaseController;
use app\common\model\ContactUs\ContactUs as ModelContactUs;
use app\Request;
use think\Validate;
use think\exception\ValidateException;
use think\facade\Filesystem;
use app\common\exception\Tool;


class ContactUs extends BaseController
{
    /**
     * 获取联系我们内容
     */
    public function getContactUs(Request $request): array
    {
        $params = $request->param();

        $query = ModelContactUs::field([
            'contact_us_id',
            'contact_us_guid',
            'contact_us_address',
            'contact_us_phone',
            'contact_us_mail',
            'contact_us_mobile_phone'
        ])->where(1)->find();

        return [
            'code' => 0,
            'data' => $query,
            'msg' => 'ok'
        ];
    }

    /**
     * 编辑联系我们
     */
    public function editContactUs(Request $request): array
    {
        $params = $request->param();
        $this->validate($params, [
            'contact_us_address|地址' => 'require',
            'contact_us_phone|座机电话' => 'require',
            'contact_us_mail|邮箱' => 'require',
            'contact_us_mobile_phone|手机号码' => 'require'
        ]);
        $model = ModelContactUs::where(1)->find();
        $model->allowField([
            'contact_us_address',
            'contact_us_phone',
            'contact_us_mail',
            'contact_us_mobile_phone',
            'contact_us_update_user_guid'
        ])->save($params);
        return msg('编辑成功!');
    }
}
