<?php

namespace app\common\model\Home\HomeVideo;

use app\common\arw\adjfut\src\Validate;
use app\BaseModel;
use think\model\concern\SoftDelete;
use app\common\arw\adjfut\src\Excel;
use app\Request;
use app\common\exception\Tool;
use think\facade\Db;

class HomeVideo extends BaseModel
{
    use SoftDelete;
    // 删除字段
    protected $deleteTime = 'home_video_delete_time';
    // 设置主键名
    protected $pk = 'home_video_guid';
    // 设置废弃字段
    protected $disuse = [];
    // 设置字段信息
    protected $schema = [
        'home_video_id' => 'int',
        'home_video_guid' => 'string',
        'i18n_lang_type_guid' => 'string',
        'home_video_cover' => 'string',
        'home_video_url' => 'string',
        'home_video_create_time' => 'datetime',
        'home_video_create_user_guid' => 'string',
        'home_video_update_time' => 'datetime',
        'home_video_update_user_guid' => 'string',
        'home_video_delete_time' => 'datetime',
        'home_video_delete_user_guid' => 'string',

    ];
    // 设置json类型字段
    protected $json = [''];
    // 开启自动写入时间戳字段
    protected $autoWriteTimestamp = 'datetime';
    // 创建时间
    protected $createTime = 'home_video_create_time';
    // 修改时间
    protected $updateTime = 'home_video_update_time';



    /**
     * 新增前
     */
    public static function onBeforeInsert(self $model): void
    {
        // self::checkRepeatData($model);
        $model->completeCreateField();
    }

    /**
     * 更新前
     */
    public static function onBeforeUpdate(self $model): void
    {
        // self::checkRepeatData($model);
        $model->completeUpdateField();
    }

    /**
     * 删除前
     */
    public static function onBeforeDelete(self $model): void
    {
        $model->completeDeleteField();
    }
}
